Power8上のLinuxでzshコンパイル

Pocket

ソースコードを落としてきて普通に
./configure
make
make install

しようとすると,
configure: error: cannot guess build type; you must specify one
と表示されて ./configure の段階で失敗する.

この場合,ビルド先のアーキテクチャがわかってないのが原因なので,
./configure --build=ppc64-linux
という風に指定するとうまくいく.

コメントを残す

メールアドレスが公開されることはありません。

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください